%global vday 02
%global vmonth 12
%global vyear 2004

Name:           zfstream
Version:        %{vyear}%{vmonth}%{vday}
Release:        6%{?dist}
Summary:        Library for reading and writing compressed and non-compressed files

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.wanderinghorse.net/computing/%{name}/
Source0:        http://www.wanderinghorse.net/computing/%{name}/libs11n_%{name}-%{vyear}.%{vmonth}.%{vday}.tar.gz
# I tried half a day to get the rather peculiar original build system working,
# but I failed, so I decided to simply replace it by autotools.
# This has the further advantage that it knows how to cross-compile,
# as evidenced by the mingw32-zfstream package also under review.
Source1:        %{name}-autotools.tar.gz
# The patch has been sent via private mail to the author. The author responded
# that the patch had been integrated into his personal tree, but apparently
# he has not gotten around to release a new version.
Patch1:         %{name}-zip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bzip2-devel
BuildRequires:  libtool
BuildRequires:  minizip-devel

%description
zfstream is a small C++ library which provides an abstraction API for reading
and writing compressed and non-compressed files using the same API. It supports
libz and libbz2 compression schemes. The library is trivial to use and provides
client applications with a unified interface for reading and writing files
without having to know whether they are compressed or not.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       bzip2-devel
Requires:       zlib-devel 

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n libs11n_%{name}-%{vyear}.%{vmonth}.%{vday} -a 1
%patch1 -p0 -b .zip
aclocal
autoconf
autoheader
libtoolize -f
touch NEWS README AUTHORS
automake -a -c

%build
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20041202-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  1 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20041202-5
- rebuild

* Fri May  1 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20041202-4
- reformat description

* Thu Apr 30 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20041202-3
- use %%{name} macro (more)
- remove minizip from Source1
- shortened summary
- fix BR/R

* Tue Nov  4 2008 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20041202-2
- changed description
- added unused-direct-shlib-dependency trick
- add library dependences

* Thu Dec 27 2007 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20041202-1
- initial packaging

